org.eclipse.emf.cdo.util

## Class StaleRevisionLockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.StaleRevisionLockException

- All Implemented Interfaces:
    java.io.Serializable

      public class StaleRevisionLockException
      extends CDOException

  An unchecked exception being thrown when attempting to `lock` stale objects.

  An `object` is considered stale if its `revision` is older than the latest server revision in the same `branch`.

  Since:
    4.0
  Author:
    Caspar De Groot
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaleRevisionLockException(CDORevisionKey[] staleRevisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORevisionKey[]` | `getStaleRevisions()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaleRevisionLockException

          public StaleRevisionLockException(CDORevisionKey[] staleRevisions)

  - ### Method Detail

    - #### getStaleRevisions

          public CDORevisionKey[] getStaleRevisions()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html